import { Column } from '@true-directive/base';
import { FilterOperator } from '@true-directive/base';
import { MenuComponent } from '../../controls/menu.component';
import { FilterBaseComponent } from './filter-base.component';
export declare class FilterTextComponent extends FilterBaseComponent {
    inputError: string;
    gridError: string;
    operators: FilterOperator[];
    input: any;
    grid: any;
    operatorMenu: MenuComponent;
    listColumns: Column[];
    init(): void;
    validate(): boolean;
    noText(): boolean;
    private getItems;
    _items: Array<any>;
    readonly items: Array<any>;
    toggleMode(e: any): void;
}
